#!/usr/bin/perl

# Purpose: make a list of (peak_bin, dm) pairs.

$filename = $ARGV[0];
if ($filename eq "") { $filename = "pulse.out"; }
open(INFILE, $filename);

$step = 0;

while($line = <INFILE>) {
  if($line =~ /<dm>(.*)\<\/dm>/) {
    $dm = $1;
    $step++;
  }
  if($line =~ /<peak_bin>(.*)<\/peak_bin>/) {
    $peak_bin = $1;
    $step++;
  }
  if($step == 2) {
    print "$peak_bin $dm\n";
    $step = 0;
  }    
}
